## parolottero-languages 2.3

=== Makefile ===
# parolottero-languages
# Copyright (C) 2021-2023 Salvo "LtWorf" Tomaselli
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.
#
# author Salvo "LtWorf" Tomaselli <tiposchi@tiscali.it>

.PHONY: wordlists
wordlists: language_data/swedish language_data/italian language_data/sicilian language_data/english
#TODO language_data/greek
#TODO language_data/basque
#TODO language_data/french
#TODO

language_data/%: dict/sicilian dict/italian dict/swedish.xpi dict/english.xpi
# dict/greek.xpi
# dict/basque.xpi
# dict/french.xpi
# dict/english.xpi
	mkdir -p language_data
	utils/lang_init.py `basename $@` $@ $@.wordlist

.PHONY: clean
clean:
	$(RM) -r language_data

.PHONY: install
install: wordlists
	install -d $${DESTDIR:-/}/usr/share/games/parolottero/language_data
	cp language_data/* $${DESTDIR:-/}/usr/share/games/parolottero/language_data/

.PHONY: dist
dist: dict/sicilian dict/italian dict/swedish.xpi dict/english.xpi
# dict/greek.xpi
# dict/basque.xpi
# dict/french.xpi
# dict/american.xpi
	rm -rf /tmp/parolottero-languages/
	rm -rf /tmp/parolottero-languages-*
	mkdir /tmp/parolottero-languages/
	cp -R * /tmp/parolottero-languages/
	( \
		cd /tmp; \
		tar --exclude '*.user' -zcf parolottero-languages.tar.gz \
			parolottero-languages/dict \
			parolottero-languages/extralist \
			parolottero-languages/utils \
			parolottero-languages/Makefile \
			parolottero-languages/LICENSE \
			parolottero-languages/README.md \
			parolottero-languages/CHANGELOG \
			parolottero-languages/CODE_OF_CONDUCT.md \
	)
	mv /tmp/parolottero-languages.tar.gz ./parolottero-languages_`head -1 CHANGELOG`.orig.tar.gz
	gpg --sign --armor --detach-sign ./parolottero-languages_`head -1 CHANGELOG`.orig.tar.gz

.PHONY: deb-pkg
deb-pkg: dist
	mkdir -p deb-pkg
	$(RM) -r /tmp/parolottero*
	mv parolottero-languages*orig* /tmp
	cd /tmp; tar -xf parolottero-languages*orig*.gz
	cp -r debian /tmp/parolottero-languages/
	cd /tmp/parolottero-languages; dpkg-buildpackage --changes-option=-S
	mv /tmp/parolottero*.* deb-pkg
	lintian --pedantic -E --color auto -i -I deb-pkg/*changes deb-pkg/*deb

dict/swedish.xpi:
	mkdir -p dict
	wget https://addons.mozilla.org/firefox/downloads/file/3539390/gorans_hemmasnickrade_ordli-1.21.xpi -O $@
	touch $@
dict/english.xpi:
	mkdir -p dict
	wget https://addons.mozilla.org/firefox/downloads/file/3956029/british_english_dictionary_2-3.0.9.xpi -O $@
	touch $@
dict/american.xpi:
	mkdir -p dict
	wget https://addons.mozilla.org/firefox/downloads/file/3893473/us_english_dictionary-91.0.xpi -O $@
	touch $@
dict/greek.xpi:
	mkdir -p dict
	wget https://addons.mozilla.org/firefox/downloads/file/1163899/greek_spellchecking_dictionary-0.8.5.2webext.xpi -O $@
	touch $@
dict/italian:
	mkdir -p dict
	wget https://github.com/napolux/paroleitaliane/raw/master/paroleitaliane/280000_parole_italiane.txt -O $@
	# https://addons.mozilla.org/firefox/downloads/file/3693497/dizionario_italiano-5.1.xpi -O $@
	touch $@
dict/basque.xpi:
	mkdir -p dict
	wget https://addons.mozilla.org/firefox/downloads/file/1163937/xuxen-5.1.0.1webext.xpi -O $@
	touch $@
dict/french.xpi:
	mkdir -p dict
	wget https://addons.mozilla.org/firefox/downloads/file/3581786/dictionnaire_francais1-7.0b.xpi -O $@
	touch $@
dict/sicilian:
	mkdir -p dict
	wget https://github.com/ltworf/sicilianu/releases/download/2022-03-18/wsicilian-2022-03-18.tar.gz -O $@.tar.gz
	cd dict; tar -xf `basename $@.tar.gz`
	rm $@.tar.gz
	mv dict/wsicilian $@
	touch $@

## parolottero-languages 6

=== Makefile ===
--- 
+++ 
@@ -21,13 +21,13 @@
 #TODO language_data/greek
 #TODO language_data/basque
 #TODO language_data/french
-#TODO
+#TODO language_data/american
 
 language_data/%: dict/sicilian dict/italian dict/swedish.xpi dict/english.xpi
 # dict/greek.xpi
 # dict/basque.xpi
 # dict/french.xpi
-# dict/english.xpi
+# dict/american.xpi
 	mkdir -p language_data
 	utils/lang_init.py `basename $@` $@ $@.wordlist

=== debian/changelog ===
parolottero-languages (6-1) unstable; urgency=medium

  * New upstream release
  * Move to unstable, no problem with compatibility now

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sun, 15 Jun 2025 10:13:01 +0200

parolottero-languages (2.3-1) experimental; urgency=medium

  * Initial release (Closes: #1019290)

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Tue, 10 Sep 2024 19:24:16 +0200

=== debian/control ===
Source: parolottero-languages
Section: games
Priority: optional
Maintainer: Salvo 'LtWorf' Tomaselli <ltworf@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 python3,
Standards-Version: 4.7.2
Homepage: https://codeberg.org/parolottero/parolottero-languages
Vcs-Browser: https://codeberg.org/parolottero/parolottero-languages
Rules-Requires-Root: no

Package: parolottero-data-it
Provides: parolottero-data
Depends: ${misc:Depends}, parolottero (>=2.0)
Architecture: all
Description: Compose words using a 4x4 grid of letters, Italian game files
 A word game intended for touch screens.
 .
 Players must drag their finger (or mouse) over random letters in a 4x4 grid
 to compose as many words as they can, until the time runs out.
 .
 This package contains the data files to play with Italian words.

Package: parolottero-data-en
Provides: parolottero-data
Depends: ${misc:Depends}, parolottero (>=2.0)
Architecture: all
Description: Compose words using a 4x4 grid of letters, English game files
 A word game intended for touch screens.
 .
 Players must drag their finger (or mouse) over random letters in a 4x4 grid
 to compose as many words as they can, until the time runs out.
 .
 This package contains the data files to play with British English words.

Package: parolottero-data-sv
Provides: parolottero-data
Depends: ${misc:Depends}, parolottero (>=2.0)
Architecture: all
Description: Compose words using a 4x4 grid of letters, Swedish game files
 A word game intended for touch screens.
 .
 Players must drag their finger (or mouse) over random letters in a 4x4 grid
 to compose as many words as they can, until the time runs out.
 .
 This package contains the data files to play with Swedish words.

Package: parolottero-data-scn
Provides: parolottero-data
Depends: ${misc:Depends}, parolottero (>=2.0)
Architecture: all
Description: Compose words using a 4x4 grid of letters, Sicilian game files
 A word game intended for touch screens.
 .
 Players must drag their finger (or mouse) over random letters in a 4x4 grid
 to compose as many words as they can, until the time runs out.
 .
 This package contains the data files to play with Sicilian words.

## parolottero-languages 7

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # parolottero-languages
-# Copyright (C) 2021-2023 Salvo "LtWorf" Tomaselli
+# Copyright (C) 2021-2025 Salvo "LtWorf" Tomaselli
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU Affero General Public License as
@@ -34,6 +34,7 @@
 .PHONY: clean
 clean:
 	$(RM) -r language_data
+	$(RM) -r deb-pkg
 
 .PHONY: install
 install: wordlists
@@ -41,7 +42,7 @@
 	cp language_data/* $${DESTDIR:-/}/usr/share/games/parolottero/language_data/
 
 .PHONY: dist
-dist: dict/sicilian dict/italian dict/swedish.xpi dict/english.xpi
+dist: dict/italian dict/swedish.xpi dict/english.xpi
 # dict/greek.xpi
 # dict/basque.xpi
 # dict/french.xpi
@@ -53,7 +54,9 @@
 	( \
 		cd /tmp; \
 		tar --exclude '*.user' -zcf parolottero-languages.tar.gz \
-			parolottero-languages/dict \
+			parolottero-languages/dict/italian \
+			parolottero-languages/dict/swedish.xpi \
+			parolottero-languages/dict/english.xpi \
 			parolottero-languages/extralist \
 			parolottero-languages/utils \
 			parolottero-languages/Makefile \
@@ -106,9 +109,5 @@
 	wget https://addons.mozilla.org/firefox/downloads/file/3581786/dictionnaire_francais1-7.0b.xpi -O $@
 	touch $@
 dict/sicilian:
-	mkdir -p dict
-	wget https://github.com/ltworf/sicilianu/releases/download/2022-03-18/wsicilian-2022-03-18.tar.gz -O $@.tar.gz
-	cd dict; tar -xf `basename $@.tar.gz`
-	rm $@.tar.gz
-	mv dict/wsicilian $@
+	cp /usr/share/dict/wsicilian dict/sicilian
 	touch $@

=== debian/changelog ===
parolottero-languages (7-1) unstable; urgency=medium

  * New upstream release
  * Sicilian wordlist is now imported from the sicilianu package and
    dropped from the source package

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sat, 16 Aug 2025 08:23:09 +0200

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  python3,
+ wsicilian,
 Standards-Version: 4.7.2
 Homepage: https://codeberg.org/parolottero/parolottero-languages
 Vcs-Browser: https://codeberg.org/parolottero/parolottero-languages

## parolottero-languages 8

=== Makefile ===
# parolottero-languages
# Copyright (C) 2021-2025 Salvo "LtWorf" Tomaselli
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.
#
# author Salvo "LtWorf" Tomaselli <tiposchi@tiscali.it>

.PHONY: wordlists
wordlists: language_data/swedish language_data/italian language_data/sicilian language_data/english language_data/french
#TODO language_data/greek
#TODO language_data/basque

language_data/%: dict/french dict/sicilian dict/italian dict/swedish.xpi dict/english.xpi
# dict/greek.xpi
# dict/basque.xpi
	mkdir -p language_data
	utils/lang_init.py `basename $@` $@ $@.wordlist

.PHONY: clean
clean:
	$(RM) -r language_data
	$(RM) -r deb-pkg
	$(RM) -r dict

.PHONY: install
install: wordlists
	install -d $${DESTDIR:-/}/usr/share/games/parolottero/language_data
	cp language_data/* $${DESTDIR:-/}/usr/share/games/parolottero/language_data/

.PHONY: dist
dist: dict/italian dict/swedish.xpi dict/english.xpi
# dict/greek.xpi
# dict/basque.xpi
# dict/french.xpi
	rm -rf /tmp/parolottero-languages/
	rm -rf /tmp/parolottero-languages-*
	mkdir /tmp/parolottero-languages/
	cp -R * /tmp/parolottero-languages/
	( \
		cd /tmp; \
		tar --exclude '*.user' -zcf parolottero-languages.tar.gz \
			parolottero-languages/vendored \
			parolottero-languages/extralist \
			parolottero-languages/utils \
			parolottero-languages/Makefile \
			parolottero-languages/LICENSE \
			parolottero-languages/README.md \
			parolottero-languages/CHANGELOG \
			parolottero-languages/CODE_OF_CONDUCT.md \
	)
	mv /tmp/parolottero-languages.tar.gz ./parolottero-languages_`head -1 CHANGELOG`.orig.tar.gz
	gpg --sign --armor --detach-sign ./parolottero-languages_`head -1 CHANGELOG`.orig.tar.gz

.PHONY: deb-pkg
deb-pkg: dist
	mkdir -p deb-pkg
	$(RM) -r /tmp/parolottero*
	mv parolottero-languages*orig* /tmp
	cd /tmp; tar -xf parolottero-languages*orig*.gz
	cp -r debian /tmp/parolottero-languages/
	cd /tmp/parolottero-languages; dpkg-buildpackage --changes-option=-S
	mv /tmp/parolottero*.* deb-pkg
	lintian --pedantic -E --color auto -i -I deb-pkg/*changes deb-pkg/*deb
dict:
	mkdir -p dict
dict/french: dict
	cp /usr/share/dict/french dict/french
	touch $@
dict/sicilian: dict
	cp /usr/share/dict/wsicilian dict/sicilian
	touch $@
dict/english.xpi: dict
	cp vendored/english.xpi dict
dict/italian: dict
	cp vendored/italian dict
dict/swedish.xpi: dict
	cp vendored/swedish.xpi dict

.phony:
redownload:
	wget https://raw.githubusercontent.com/napolux/paroleitaliane/refs/heads/main/paroleitaliane/280000_parole_italiane.txt -O dict/italian
	wget https://addons.mozilla.org/firefox/downloads/file/3956029/british_english_dictionary_2-3.0.9.xpi -O dict/english.xpi
	wget https://addons.mozilla.org/firefox/downloads/file/3539390/gorans_hemmasnickrade_ordli-1.21.xpi -O dict/swedish.xpi
# 	wget https://addons.mozilla.org/firefox/downloads/file/1163899/greek_spellchecking_dictionary-0.8.5.2webext.xpi -O dict/greek.xpi
# 	wget https://addons.mozilla.org/firefox/downloads/file/1163937/xuxen-5.1.0.1webext.xpi -O dict/basque.xpi

=== debian/changelog ===
parolottero-languages (8-1) unstable; urgency=medium

  * New upstream release
  * Add French

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sat, 16 Aug 2025 23:38:12 +0200

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
  debhelper-compat (= 13),
  python3,
  wsicilian,
+ wfrench,
 Standards-Version: 4.7.2
 Homepage: https://codeberg.org/parolottero/parolottero-languages
 Vcs-Browser: https://codeberg.org/parolottero/parolottero-languages
@@ -58,3 +59,15 @@
  to compose as many words as they can, until the time runs out.
  .
  This package contains the data files to play with Sicilian words.
+
+Package: parolottero-data-fr
+Provides: parolottero-data
+Depends: ${misc:Depends}, parolottero (>=2.0)
+Architecture: all
+Description: Compose words using a 4x4 grid of letters, French game files
+ A word game intended for touch screens.
+ .
+ Players must drag their finger (or mouse) over random letters in a 4x4 grid
+ to compose as many words as they can, until the time runs out.
+ .
+ This package contains the data files to play with French words.

=== debian/watch ===
version=4

opts=pgpmode=auto \
https://codeberg.org/parolottero/parolottero-languages/tags (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## parolottero-languages 9

=== Makefile ===
--- 
+++ 
@@ -78,7 +78,7 @@
 	cp /usr/share/dict/french dict/french
 	touch $@
 dict/sicilian: dict
-	cp /usr/share/dict/wsicilian dict/sicilian
+	cp /usr/share/dict/sicilian dict/sicilian
 	touch $@
 dict/english.xpi: dict
 	cp vendored/english.xpi dict

=== debian/changelog ===
parolottero-languages (9-1) unstable; urgency=medium

  * New upstream release
  * Remove Rules-Requires-Root

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Wed, 19 Nov 2025 09:58:47 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,6 @@
 Standards-Version: 4.7.2
 Homepage: https://codeberg.org/parolottero/parolottero-languages
 Vcs-Browser: https://codeberg.org/parolottero/parolottero-languages
-Rules-Requires-Root: no
 
 Package: parolottero-data-it
 Provides: parolottero-data

## parolottero-languages 10

=== debian/changelog ===
parolottero-languages (10-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Mon, 02 Mar 2026 20:05:35 +0100
